Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class SessionFactory

    java.lang.Object
      php.java.bridge.SessionFactory

Direct Known Subclasses:
  ContextFactory

    public class SessionFactory

extends java.lang.Object

Create new session or context instances

Author:
  jostb
See Also:
  `Session`, `Context`, `Context`, `ContextFactory`, `ServletContextFactory`, `PhpScriptContextFactory`

Field Summary
`static long` | `TIMER_FREQ` Check for expired sessions or contexts every 10 minutes

Constructor Summary
`SessionFactory()`

Method Summary
`void` | `destroy()` Destroy the factory
`java.lang.Object` | `getContext()` Return the associated context
`ISession` | `getSession(java.lang.String name, boolean clientIsNew, int timeout)`
`void` | `recycle()` Recycle the factory for new reqests.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TIMER_FREQ

    public static final long TIMER_FREQ

  Check for expired sessions or contexts every 10 minutes

  See Also:
    Constant Field Values

Constructor Detail

### SessionFactory

    public SessionFactory()

Method Detail

### getSession

    public ISession getSession(java.lang.String name,
                               boolean clientIsNew,
                               int timeout)

  Parameters:
    `name` - The session name. If name is null, the name PHPSESSION will be used.
    `clientIsNew` - true if the client wants a new session
    `timeout` - timeout in seconds. If 0 the session does not expire.
  Returns:
    The session
  See Also:
    `ISession`

### getContext

    public java.lang.Object getContext()

  Return the associated context

  Returns:
    Always null
  See Also:
    `ContextFactory.getContext()`

### recycle

    public void recycle()

  Recycle the factory for new reqests.

### destroy

    public void destroy()

  Destroy the factory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD